#!/bin/bash

echo Installing...

mkdir -p /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166
cp -R * /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166
if [[ $? -ne 0 ]]; then
	echo "Error: Files can not be copied to /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166"
	echo "Maybe you will need be a root user"
	exit 1
fi

cp --parents share/applications/qtoctave.desktop /usr/local/
cp --parents share/icons/hicolor/64x64/apps/qtoctave.png /usr/local/

cat<<EOL > /usr/local/bin/qtoctave
#!/bin/bash

exec /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166/bin/ld-linux.so.2 --library-path /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166/bin/  /usr/local/opt/binaries/qtoctave_binaries_Linux_i386-0.8.1_svn166/bin/qtoctave

EOL

chmod +x /usr/local/bin/qtoctave


echo
echo Execute qtoctave to start QtOctave
echo

